tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor Struct Reference
Collaboration diagram for tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor:

## Public Types

typedef internal::multifunction_output< Output > | output_port_type

## Public Member Functions

| try_put_functor (output_port_type &p, const Output &v)
void | operator() ()

## Public Attributes

output_port_type * | port
const Output * | value
bool | result

## Detailed Description

### template<typename Input, typename Output, typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>
struct tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor

Definition at line 4235 of file flow_graph.h.

## Member Typedef Documentation

## output_port_type

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

typedef internal::multifunction_output<Output> tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::output_port_type

Definition at line 4236 of file flow_graph.h.

## Constructor & Destructor Documentation

## try_put_functor()

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::try_put_functor | ( | output_port_type & | p,
|  | const Output & | v
| ) |  |

inline

Definition at line 4241 of file flow_graph.h.

: port(&p), value(&v), result(false) { }
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
tbb::flow::interface11::async_node::try_put_functor::result
bool result
Definition: flow_graph.h:4240
tbb::flow::interface11::async_node::try_put_functor::port
output_port_type * port
Definition: flow_graph.h:4237
tbb::flow::interface11::async_node::try_put_functor::value
const Output * value
Definition: flow_graph.h:4239

## Member Function Documentation

## operator()()

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

void tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::operator() | ( |  | ) |

inline

Definition at line 4242 of file flow_graph.h.

{
result = port->try_put(*value);
}
internal::multifunction_output::try_put
bool try_put(const output_type &i)
Definition: _flow_graph_node_impl.h:934

References internal::multifunction_output< Output >::try_put(), and value.

Here is the call graph for this function:

## Member Data Documentation

## port

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

output_port_type* tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::port

Definition at line 4237 of file flow_graph.h.

## result

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

bool tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::result

Definition at line 4240 of file flow_graph.h.

## value

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(Input)>

const Output* tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::value

Definition at line 4239 of file flow_graph.h.

The documentation for this struct was generated from the following file:

- flow_graph.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.